SwissChecklist

Checklist: DotNetNuke - Voraussetzungen um Razor einzusetzen

Wenn du Razor in DotNetNuke einsetzen möchtest, musst du ein paar Voraussetzungen erfüllen. Hier sind die Voraussetzungen aufgezählt inkl. Anleitung, wo nachschauen ob du diese erfüllt hast.
  • Folgende Voraussetzungen müssen erfüllt sein

    Show Details Show Substeps Show Substeps Show Substeps
  • Du verwendest DotNetNuke Version 5.06.01 oder höher

    Show Details Show Substeps Show Substeps Show Substeps
    Nachschauen hier
    Im Host-Dashboard, auf der Infoseite.

    Falls dem nicht so ist, musst du dein DotNetNuke updaten. Wie das geht, sollte jemand in einer Untercheckliste dokumentieren. (todo)
  • Dein Web läuft auf dem .net Framework 4.0 oder höher

    Show Details Show Substeps Show Substeps Show Substeps
    Hintergrund: Oft ist DotNetNuke installiert, alles funktioniert, aber aufgrund der Konfiguration ist ein weniger hohes .net-Framework eingerichtet.

    Nachschauen hier: Im Host-Dashboard, auf der Infoseite.

    Ändern mit der Subcheckliste: (todo)
  • Das Razor-Host-Modul ist installiert (geschieht nicht automatisch)

    Show Details Show Substeps Show Substeps Show Substeps
    Hintergrund: Das Modul ist der Host bzw. die Runtime für das Razor-Script (chtml oder vhtml). Da es hohe Sicherheitsrisiken birgt (man kann Scripts mit .net Code ausführen) und nur für sehr versierte Anwender sinnvoll ist, wird es nicht automatisch installiert.

    Installation: Wie ein normales DNN-Modul, findest du es in den noch nicht installierten Modulen.
  • New Step

    Show Details Show Substeps Show Substeps Show Substeps
Use this Checklist

Preview/Print

Use

Change

Sort